---
sidebar_position: 17
title: Win Limit
description: Display win and gamble limit notifications in-game.
---

# Win Limit

## Overview

This component handles the display of **win limit** or **gamble limit** notifications during gameplay.  
It ensures players are informed when a maximum win condition is reached in a slot game.

## Implementation

### Location

#### Core

| Path                                                     | Name                        |
|----------------------------------------------------------|-----------------------------|
| `assets\core-assets\hyper-core\packages\present\prefabs` | `present-win-limit-reached` |

#### Game

##### In Scene

- structure in scene.

``` 
Canvas
└── [main-view]
    └── [game-view]
        └── [present-win-limit-reached]
```            
![Component](../img/05-main-scene/win-limit/win-limit-component.png)
- component Animation:

|Status| Path                                                              | Show                                 |
|------|-------------------------------------------------------------------|--------------------------------------|
|Show  | `assets\core-assets\slotty-core\packages\feature-game\animations` | `anim-show-feature-win-presentation` |
|Hide  | `assets\core-assets\slotty-core\packages\feature-game\animations` | `anim-hide-feature-win-presentation` |



